import java.util.*;
import java.io.*;

public class Lecteur {

	//private File theFile;
	private Scanner theScanner;
	
	/**
	 * Cree un Lecteur pour le fichier en parametre et positionne
	 * la curseur au debut du fichier
	 * @param nom Le fichier a lire
	 */
	
	public Lecteur (String nom) {
		try {
		theScanner = new Scanner(new File(nom));
		}
		catch (FileNotFoundException e) {
			System.out.println("Je ne trouve pas le fichier");
			System.exit(-1);
		}
	}
	
	/**
	 * Dit s'il y a une ligne a lire a la position du curseur
	 * @return true s'il y a une ligne 
	 */
	
	public boolean hasLigne () {
		return theScanner.hasNextLine();
	}
	
	/**
	 * Lit la ligne sur la quelle le curseur est positionne
	 * et avance le curseur a la prochaine ligne
	 * @return la ligne sur la quelle le curseur est positionne
	 * 
	 */
	
	public String readLigne (){
		try {
			return theScanner.nextLine();
		}
		catch (NoSuchElementException e) {
			return null;
		}
	}

       /**
	 * Lit tout le fichier d'un seul coup
	 * @return le fichier sans le dernier saut de ligne
	 * 
	 */
        public String toutLeFichier (){
		String s="";
		while (theScanner.hasNextLine()) {
			s+=theScanner.nextLine();
			if(theScanner.hasNextLine()) s+="\n";
		}
		return s;
	}

       /**
	 * separe la chaine en un tableux qui contient tous le souchaines connexes: 
         * les souschaines sans     espaces
	 *@param s la chaine a separer 
         *@return le tableau qui contient les souschaines connexes
	 * 
	 */
        public String[] separe (String s){
		return s.split("\\s+");
	}
	
        /*public int readInt (){
		try {
			return theScanner.nextInt();
		}
		catch (NoSuchElementException e) {
			return 0;
		}
	}*/


       /**
	 * Appele' quand l'objet est ramasse'
	 * 
	 */    
	protected void finalize () {
		theScanner.close();
		
	}
}
